package com.fzm.mall.server.front.enums;

public enum AssetRecordTypeEnum {

    //数字资产转帐-转入
    DIGITAL_TRAN_IN(5),
    //数字资产转账-转出
    DIGITAL_TRAN_OUT(6),
    //积分充值
    INTEGRAL_RECHARGE(7),
    //积分抵扣
    INTEGRAL_DEDUCTION(9),
    //退款
    RETURN_MONEY(10),
    //商品币购买
    BUY_GOODS(11),
    //扣除积分
    DEDUCT_INTEGRAL(17),
    //提货
    DRAW_GOODS(18),
    //评论奖励
    COMMENT_REWARD(19),
    //转赠-转入
    PRESENT_IN(20),
    //转赠—转出
    PRESENT_OUT(21),
    //注册奖励
    REGISTER_REWARD(22),
    //外部token转入
    OUT_TOKEN_IN(23),
    //外部NFT转入
    OUT_NFT_IN(24),
    //向外划转
    TRANSFER_OUT(25),
    //退货
    RETURN_GOODS(26),
    //邀请注册奖励
    INVITE_REGISTER_REWARD(27),
    //发布转让
    RELEASE_TRANSFER(28),
    //商品币退还
    GOODS_COIN_REFUND(29),
    //积分抵扣退还
    INTEGRAL_DEDUCTION_RETURN(30),
    //31.slg数字资产发行 32.slg数字资产增发 33.slg数字资产减发 34.slg数字资产回收 35.slc防伪NFT转入
    //物物交换转让转入
    BARTER_TRANSFER_IN(36),
    //物物交换转让转出
    BARTER_TRANSFER_OUT(37),
    ;

    private Integer type;
    AssetRecordTypeEnum(Integer type){
        this.type = type;
    }
    public Integer getType() {
        return type;
    }

}
